SMBBETA

Create a private Person

Last updated Oct 10, 2026View as MarkdownAgent setup / MCP
POST
/v1/people

Create a Person in the selected Workspace from a name, optionally recording a works-at Business relationship. The relationship requires Business access and grants no new access.

Authorization

AuthorizationBearer <token>

Signed-in user's Supabase access token. Workspace-scoped operations also require SMB-Workspace-Id.

In: header

Header Parameters

Idempotency-Key*string
Length8 <= length <= 200
SMB-Workspace-Id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/people" \  -H "Idempotency-Key: stringst" \  -H "SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "display_name": "string"  }'
{  "data": {    "id": "string",    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",    "display_name": "string",    "version": 1  },  "request_id": "string",  "action_receipt": {    "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7",    "command_id": "7d510d78-7444-4252-aeac-9e473949661e",    "operation": "person.create",    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"  },  "idempotent_replay": true}